Name:            gom
Version:         0.3.3
Release:         3
Summary:         GObject to SQLite object mapper library
License:         LGPLv2+
URL:             https://wiki.gnome.org/Projects/Gom
Source0:         https://download.gnome.org/sources/gom/0.3/gom-%{version}.tar.xz

Patch1:          0001-tests-Add-test-for-invalid-table-names.patch
Patch2:          0002-gom-Add-a-private-header-to-list-reserved-keywords.patch
Patch3:          0003-gom-Verify-whether-a-table-name-is-valid-before-sett.patch
Patch4:          0004-tests-And-check-for-assertion-due-to-invalid-table-n.patch
Patch5:          0005-gom-Store-NULL-GDateTimes-in-the-database-as-NULL.patch

BuildRequires:   gobject-introspection-devel gtk-doc meson pkgconfig(gdk-pixbuf-2.0) pkgconfig(gio-2.0)
BuildRequires:   pkgconfig(gobject-2.0) pkgconfig(sqlite3) pygobject3-devel python3-devel python3-pygments
%description
Gom provides an object mapper from GObjects to SQLite. It helps you write applications
that need to store structured data as well as make complex queries upon that data.

%package          devel
Summary:          Development files for gom
Requires:         gom = %{version}-%{release}
%description      devel
The gom-devel package contains libraries and header files for developing applications that use gom.

%prep
%autosetup -n gom-%{version} -p1
%build
%meson -Denable-gtk-doc=true
%meson_build

%install
%meson_install
%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%doc COPYING
%{_libdir}/{girepository-1.0/Gom-1.0.typelib,libgom-1.0.so.0*}
%{python3_sitearch}/{gi,gi/overrides,gi/overrides/*}

%files devel
%{_includedir}/gom-1.0/
%{_libdir}/{libgom-1.0.so,pkgconfig/gom-1.0.pc}
%{_datadir}/gir-1.0/Gom-1.0.gir
%doc %{_datadir}/gtk-doc/

%changelog
* Mon Jul 27 2020 Zhiqiang Liu <lzhq28@mail.ustc.edu.cn> - 0.3.3-3
- backport upstream patches.

* Sun Jul 5 2020 Zhiqiang Liu <lzhq28@mail.ustc.edu.cn> - 0.3.3-2
- remove useless readme files.

* Fri Apr 24 2020 yanan li <liyanan032@huawei.com> - 0.3.3-1
- Package init
